%global _empty_manifest_terminate_build 0
Name:		python-astor
Version:	0.8.1
Release:	1
Summary:	Read/rewrite/write Python ASTs
License:	BSD-3-Clause
URL:		https://github.com/berkerpeksag/astor
Source0:	https://files.pythonhosted.org/packages/5a/21/75b771132fee241dfe601d39ade629548a9626d1d39f333fde31bc46febe/astor-0.8.1.tar.gz
BuildArch:	noarch


%description


%package -n python3-astor
Summary:	Read/rewrite/write Python ASTs
Provides:	python-astor
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-astor


%package help
Summary:	Development documents and examples for astor
Provides:	python3-astor-doc
%description help


%prep
%autosetup -n astor-0.8.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-astor -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Oct 01 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
